BeagleWksBMParserInternal::Bitmap Struct Reference

Internal: a bitmap of a BeagleWksBMParser. More...

## Public Member Functions

| Bitmap ()
| the constructor

## Public Attributes

int | m_colorBytes
| the number of color bytes (1: means black/white, 8: means color)
MWAWVec2i | m_dim
| the bitmap dimension
std::vector< MWAWColor > | m_colorList
| the color list

## Detailed Description

Internal: a bitmap of a BeagleWksBMParser.

## Constructor & Destructor Documentation

## Bitmap()

BeagleWksBMParserInternal::Bitmap::Bitmap | ( |  | ) |

inline

the constructor

## Member Data Documentation

## m_colorBytes

int BeagleWksBMParserInternal::Bitmap::m_colorBytes

the number of color bytes (1: means black/white, 8: means color)

Referenced by Bitmap().

## m_colorList

std::vector<MWAWColor> BeagleWksBMParserInternal::Bitmap::m_colorList

the color list

Referenced by Bitmap().

## m_dim

MWAWVec2i BeagleWksBMParserInternal::Bitmap::m_dim

the bitmap dimension

Referenced by Bitmap().

The documentation for this struct was generated from the following file:

- BeagleWksBMParser.cxx